## IdeLayoutPane IdeLayoutPane |

## Types and Values

#define | IDE_TYPE_LAYOUT_PANE
struct | IdeLayoutPaneClass
| IdeLayoutPane

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockRevealer
                                ╰── DzlDockBinEdge
                                    ╰── IdeLayoutPane
                                        ├── IdeEditorSidebar
                                        ├── IdeEditorUtilities
                                        ╰── IdeLayoutTransientSidebar

## Implemented Interfaces

IdeLayoutPane implements AtkImplementorIface, GtkBuildable and DzlDockItem.

## Description

## Functions

## Types and Values

### IDE_TYPE_LAYOUT_PANE

    #define IDE_TYPE_LAYOUT_PANE (ide_layout_pane_get_type())

### struct IdeLayoutPaneClass

    struct IdeLayoutPaneClass {
      DzlDockBinEdgeClass parent_class;
    };

### IdeLayoutPane

    typedef struct _IdeLayoutPane IdeLayoutPane;